org.apache.sling.hapi.sightly

## Class TypesCollectionView

- java.lang.Object
- - org.apache.sling.hapi.sightly.TypesCollectionView

All Implemented Interfaces:
  org.apache.sling.scripting.sightly.pojo.Use

    @ProviderType
    public class TypesCollectionView
    extends Object
    implements org.apache.sling.scripting.sightly.pojo.Use

### Constructor Summary

Constructors
Constructor and Description
`TypesCollectionView()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate()`
`String` `getDescription()`
`boolean` `getHasTypes()`
`String` `getTitle()`
`Collection<HApiType>` `getTypes()`
`void` `init(Bindings bindings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypesCollectionView

    public TypesCollectionView()

### Method Detail

#### init

    public void init(Bindings bindings)

Specified by:
  `init` in interface `org.apache.sling.scripting.sightly.pojo.Use`

#### activate

    public void activate()
                  throws Exception

Throws:
  `Exception`

#### getTitle

    public String getTitle()

#### getDescription

    public String getDescription()

#### getTypes

    public Collection<HApiType> getTypes()

#### getHasTypes

    public boolean getHasTypes()